Page MenuHomeFreeBSD

Mk/bsd.ssp.mk: switch to -fstack-protector-strong and enable on more architectures
ClosedPublic

Authored by jbeich on Apr 14 2019, 8:24 AM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jbeich created this revision.Apr 14 2019, 8:24 AM
jbeich updated this revision to Diff 56447.Apr 21 2019, 3:05 PM
  • Add workarounds for old non-base GCC as found by exp-run
jbeich updated this revision to Diff 56593.Apr 24 2019, 6:12 PM
  • Add workaround for math/gretl after recent exp-run
jbeich edited the test plan for this revision. (Show Details)Apr 24 2019, 6:28 PM

Ping. exp-run went fine. Awaiting approval and/or review.

antoine accepted this revision.Apr 24 2019, 6:36 PM
antoine added a subscriber: antoine.

Macro shipit:

This revision is now accepted and ready to land.Apr 24 2019, 6:36 PM
This revision was automatically updated to reflect the committed changes.